## exiv2 0.27.5

=== include/CMakeLists.txt ===
add_subdirectory(exiv2)
