=== debian/changelog ===
exiv2 (0.27.5-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbol file for gcc-12 (Closes: #1012920).
  * Update Standards-Version to 4.6.1 (No changes needed).
  * Update symbols for link time optimation (Closes: #1015399).

 -- Sandro Knauß <hefee@debian.org>  Mon, 22 Aug 2022 14:33:14 +0200

exiv2 (0.27.5-3) unstable; urgency=medium

  * Team upload.
  * Update symbols from buildds.

 -- Sandro Knauß <hefee@debian.org>  Sat, 26 Mar 2022 18:35:36 +0100

exiv2 (0.27.5-2) unstable; urgency=medium

  * Team upload.
  * Update Multi-Arch information for -dev and -doc.
  * Enable BMFF support (Closes: #1000788)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.10-1.
  * Enable hardening.
  * Update symbols from buildds.
  * Register documentation via doc-base.
  * Update symbols for BMFF support.

 -- Sandro Knauß <hefee@debian.org>  Fri, 25 Mar 2022 01:00:00 +0100

exiv2 (0.27.5-1) unstable; urgency=medium

  * Team upload.

  [ Simon Schmeisser ]
  * New upstream release (Closes: #1000788):
    - fixes CVE-2021-29458 (Closes: #987277)
    - fixes CVE-2021-29463 (Closes: #988241)
    - fixes CVE-2021-29464 (Closes: #988242)
    - fixes CVE-2021-29470 (Closes: #987450)
    - fixes CVE-2021-29473 (Closes: #987736)
    - fixes CVE-2021-29623 (Closes: #988481)
    - fixes CVE-2021-32617 (Closes: #988731)
    - fixes CVE-2021-32815 (Closes: #992705)
    - fixes CVE-2021-34334 (Closes: #992706)
    - fixes CVE-2021-34335 (Closes: #992707)
    - fixes CVE-2021-3482 (Closes: #986888)
    - fixes CVE-2021-37615
    - fixes CVE-2021-37616
    - fixes CVE-2021-37618
    - fixes CVE-2021-37619
    - fixes CVE-2021-37620
    - fixes CVE-2021-37621
    - fixes CVE-2021-37622
    - fixes CVE-2021-37623
  * Remove patches that have been fixed upstream:
    - fix-man-page-table-formatting.patch
    - fcf-protection-only-on-x86.diff
  * Update symbols file

  [ Sandro Knauß ]
  * Remove cruft dbg->dbgsym package dependency.
  * Bump Standards-Version to 4.6.0 (No changes needed).
  * Bump compat level to 13.
  * Bring copyright file in line with DEP-5.
  * Remove maxy from Uploaders list.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Feb 2022 20:05:47 +0100
