=== debian/changelog ===
exiv2 (0.27.6-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:19 +0200

exiv2 (0.27.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update Vcs-* fields.
  * Use execute_after_dh_* to avoid invoking dh_* manually
  * Execute chrpath right after dh_auto_install, rather than after dh_install.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7.2
  * Remove non-existing file from copyright.
  * Rename debian/docs to debian/exiv2.docs, to make it clearer (and consistent
    with other files) to which package it refers to.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 11:45:47 +0100
