=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Steve M. Robbins <smr@debian.org>
 Build-Depends: chrpath,
-               cmake,
+               cmake (>= 3.7.2~),
                debhelper-compat (= 13),
                gettext,
                libexpat1-dev,
                pkg-kde-tools,
                zlib1g-dev,
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.exiv2.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/exiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/exiv2.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git
 
 Package: exiv2
 Architecture: any
