=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,10 @@
 	dh_auto_configure -a -- \
 	    $(CMAKE_COMMON_ARGS)
 
-override_dh_install:
-	dh_install
+execute_after_dh_auto_install:
 	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d
 
-override_dh_auto_build-indep:
-	dh_auto_build
+execute_after_dh_auto_build-indep:
 	dh_auto_build -- doc
 
 override_dh_installdocs:
@@ -43,6 +41,5 @@
 override_dh_compress:
 	dh_compress -X.xls -X.js -X.idx -X.xml -X.php -X.cpp
 
-override_dh_fixperms-indep:
-	dh_fixperms -i
+execute_after_dh_fixperms-indep:
 	find $(CURDIR)/debian/libexiv2-doc -name '*.ini' -exec chmod -x {} \;
