## exiv2 0.28.0+dfsg

=== debian/changelog ===
exiv2 (0.28.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Replace patch asf-fix-GUID-reading-on-big-endian-platforms.diff with the
    upstream commit 2d5a51b9ddcecaa747ef4de8b0de22a3e0e89dd1; patch
    upstream_asf-fix-GUID-reading-on-big-endian-platforms.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2700 to fix
    a unit test on GNU/Hurd; patch tests-do-not-hardcode-ENOENT.diff.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 06:55:44 +0200

exiv2 (0.28.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Tweak AdditionOverflowInLoaderExifJpeg for 32bit platforms with
    unsigned char, see https://github.com/Exiv2/exiv2/issues/933;
    patch tests-overflow-skip-unsigned-char-23bit.diff.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jul 2023 14:36:07 +0200

exiv2 (0.28.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Explicitly add the python3:any build dependency, used to run the test suite.
  * Update symbols files from the logs of buildds.
  * Backport upstream commit 7b51b7c97967eb45fe7cd0fbe55a8fc260fd1a46 to fix
    issues when using LTO; patch upstream_avoid-LTO-issues.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2694 to fix
    big endian issues in the ASF format; patch
    asf-fix-GUID-reading-on-big-endian-platforms.diff.
  * Enable also the unit tests during build:
    - add the libgmock-dev, and libgtest-dev build dependencies
    - pass -DEXIV2_BUILD_UNIT_TESTS=ON to cmake

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jul 2023 10:55:51 +0200

exiv2 (0.28.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes a regression on Olympus Maker notes (Closes: #1034641)
  * Update the patches:
    - xmpsdk-integer-typedef-x64.patch: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.11.0
    - add libbrotli-dev, libinih-dev (Closes: #1036248)
  * Update packages according to the upstream SONAME bump:
    - rename libexiv2-27 to libexiv2-28
    - update install files & symbols file
  * Do not run the tests in parallel, as there are path conflicts between the
    tests.
  * Update install files.
  * Simplify the dh_auto_configure run to be one, enabling the documentation
    depending on whether the doc package needs to be built.
  * Split the data files (currently only translations) out of the library
    package into a new arch:all libexiv2-data.
  * Drop -Wno-deprecated-declarations from the CXXFLAGS: exiv2 no longer uses
    std::auto_ptr<>.
  * Drop the exclusion from dh_compress of .xls, .idx, .php, and .cpp, as they
    either do not exist anymore or they are not compressed by dh_compress.
  * Update copyright.
  * Exclude test/data/issue_1934_poc4_ref.icc, as it is a copy of sRGB.icm
    which is not free
    - exclude also test/data/issue_1934_poc4.jpg, which contains the ICM file
    - set the version suffix to +dfsg
    - adapt watch file for repack
    - add patch non-free.diff to drop the references to the excluded files in
      the tests
  * Drop the private/static markers from the exiv2.pc pkg-config file; patch
    pkgconfig-no-private.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 10:55:38 +0200
